%define momorel 7

Summary: An embeddable LISP environment
Name: librep
Version: 0.16.1
Release: %{momorel}m
License: GPL
Group: Development/Languages
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.16/%{name}-%{version}.tar.bz2
Patch: librep-2002-05-24-b_t_codeset.patch
URL: http://librep.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: info
BuildPrereq: gmp-devel >= 3.1.1 gdbm-devel >= 1.8.0 readline-devel
NoSource: 0

%description
This is a lightweight Lisp environment for UNIX. It contains a Lisp
interpreter, byte-code compiler and virtual machine. Applications may
use the Lisp interpreter as an extension language, or it may be used
for standalone scripts.

Originally inspired by Emacs Lisp, the language dialect combines many
of the elisp features while trying to remove some of the main
deficiencies, with features from Common Lisp and Scheme.


%package devel
Summary: librep include files and link libraries
Group: Development/Languages
Requires: %name = %{version}

%description devel
Link libraries and C header files for librep development.


%prep
%setup -q
%patch -p1 -b .bind_textdomain_codeset

%build
libtoolize -c -f
aclocal
autoconf
%configure --with-readline
make %{?_smp_mflags} host_type=%{_target_platform} || make host_type=%{_target_platform}

%install
rm -rf %{buildroot}
make install \
    host_type=%{_target_platform} \
    DESTDIR=%{buildroot} \
    aclocaldir=%{_datadir}/aclocal

%__rm -f %{buildroot}%{_infodir}/dir

%post
/sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/librep.info.* %{_infodir}/dir

%preun devel
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/librep.info.* %{_infodir}/dir
fi

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%changelog
* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (0.16.1-7m)
- revised spec for enabling rpm 4.2.

* Mon Dec 22 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.16.1-6m)
- accept gdbm-devel-1.8.0 or newer

* Mon Nov 10 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (0.16.1-5m)
- rebuild against gdbm-1.8.0

* Mon Jul  7 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.16.1-4m)
- rebuild against rpm-4.0.4-52m

* Mon Feb 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.16.1-3m)
- rebuild against for gdbm

* Fri Feb  7 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.16.1-2m)
  rebuid against libgdbm

* Tue Jan 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.16.1-1m)
- version 0.16.1

* Sat Jun 22 2002 Shingo Akagaki <dora@kondara.org>
- (0.16-2k)
- version 0.16

* Wed Jun 12 2002 Shingo Akagaki <dora@kondara.org>
- (0.15.2-16k)
- 2002-06-11

* Wed Jun  5 2002 Shingo Akagaki <dora@kondara.org>
- (0.15.2-14k)
- fix post script.

* Wed May 28 2002 Shingo Akagaki <dora@kondara.org>
- (0.15.2-12k)
- 2002-05-24

* Thu Apr 25 2002 Shingo Akagaki <dora@kondara.org>
- (0.15.2-8k)
- 2002-04-19

* Mon Apr  1 2002 Shingo Akagaki <dora@kondara.org>
- (0.15.2-6k)
- 2002-03-30-snap

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (0.15.2-4k)
- add bind_textdomain_codeset interface

* Sat Feb 16 2002 Shingo Akagaki <dora@kondara.org>
- (0.15.2-2k)
- 20020215-snap version

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (0.15.1-4k)
- nigittenu

* Thu Oct 18 2001 Motonobu Ichimura <famao@kondara.org>
- (0.15.1-2k)
- merge from Jirai
 
* Sat Oct 05 2001 Motonobu Ichimura <famao@kondara.org>
- (0.15.1-3k)
- up to 0.15.1

* Sat Aug 25 2001 Shingo Akagaki <dora@kondara.org>
- (0.14-4k)
- port from Jirai

* Sun Apr 22 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (0.13.6-2k)

* Tue Jan  9 2001 Yoshito Komatsu <yoshito.komatsu@nifty.com>
- (0.13.4-3k)
- update to 0.13.4.

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Sun Oct 08 2000 KIM Hyeong Cheol <hkimu-tky@umin.ac.jp>
- (0.13.1-1k)
- up to 0.13.1
- added librep.la, install-aliases, rep_config.h to devel package.

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.


* Wed Jun 28 2000 Hidetomo Machi <mcHT@kondara.org>
- change release number to 1k from k1 ;)

* Wed Jun 21 2000 AYUHANA Tomonori <l@kondara.org>
- (0.12.2-k1)
- updte 0.12 to 0.12.2

* Fri May 12 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( Source, BuildRoot )
- Add -q at %setup

* Tue Mar  7 2000 Akira Higuchi <a@kondara.org>
- added a tempral hack in Fgettext()

* Tue Mar  7 2000 Akira Higuchi <a@kondara.org>
- updated to 0.11

* Sun Jan 30 2000 Toru Hoshina <t@kondara.org>
- stripped. (*^_^*)

* Tue Jan 25 2000 Shingo Akagaki <dora@kondara.org>
- updated to 0.10

* Thu Dec 16 1999 Shingo Akagaki <dora@kondara.org>
- updated to 0.9

* Tue Nov 30 1999 Akira Higuchi <a@kondara.org>
- updated to 0.8

* Mon Nov 08 1999 Akira Higuchi <a@kondara.org>
- added "defattr"

* Wed Oct 27 1999 Hirofumi Takeda <i@kondara.org>
- 0.7 spec file update

* Sat Oct 16 1999 Akira Higuchi <a-higuti@math.sci.hokudai.ac.jp>
- fixed a compilation problem on an alpha

* Mon Sep 13 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.5 spec file update: added buildroot

%files
%defattr(-,root,root)
%doc NEWS README THANKS TODO BUGS
%{_bindir}/rep
%{_bindir}/rep-remote
%{_libdir}/librep.so.*
%{_datadir}/rep
%{_libexecdir}/rep

%files devel
%defattr(-,root,root)
%{_bindir}/rep-config
%{_bindir}/repdoc
%{_bindir}/rep-xgettext
%{_libdir}/librep.so
%{_libdir}/librep.la
%{_includedir}/rep.h
%{_includedir}/rep_*.h
%{_datadir}/aclocal/rep.m4
%{_datadir}/emacs/site-lisp/rep-debugger.el
%{_infodir}/librep*
